package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.LcdReceiveUser;

/**
 * 接收消息用户Service接口
 *
 * @author ruoyi
 * @date 2023-01-14
 */
public interface ILcdReceiveUserService
{
    /**
     * 查询接收消息用户
     *
     * @param id 接收消息用户主键
     * @return 接收消息用户
     */
    public LcdReceiveUser selectLcdReceiveUserById(Long id);

    /**
     * 查询接收消息用户列表
     *
     * @param lcdReceiveUser 接收消息用户
     * @return 接收消息用户集合
     */
    public List<LcdReceiveUser> selectLcdReceiveUserList(LcdReceiveUser lcdReceiveUser);

    /**
     * 新增接收消息用户
     *
     * @param lcdReceiveUser 接收消息用户
     * @return 结果
     */
    public int insertLcdReceiveUser(LcdReceiveUser lcdReceiveUser);

    /**
     * 修改接收消息用户
     *
     * @param lcdReceiveUser 接收消息用户
     * @return 结果
     */
    public int updateLcdReceiveUser(LcdReceiveUser lcdReceiveUser);

    /**
     * 批量删除接收消息用户
     *
     * @param ids 需要删除的接收消息用户主键集合
     * @return 结果
     */
    public int deleteLcdReceiveUserByIds(Long[] ids);

    /**
     * 删除接收消息用户信息
     *
     * @param id 接收消息用户主键
     * @return 结果
     */
    public int deleteLcdReceiveUserById(Long id);
}
