package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.LcdReceiveUserMapper;
import com.ruoyi.system.domain.LcdReceiveUser;
import com.ruoyi.system.service.ILcdReceiveUserService;

/**
 * 接收消息用户Service业务层处理
 *
 * @author ruoyi
 * @date 2023-01-14
 */
@Service
public class LcdReceiveUserServiceImpl implements ILcdReceiveUserService
{
    @Autowired
    private LcdReceiveUserMapper lcdReceiveUserMapper;

    /**
     * 查询接收消息用户
     *
     * @param id 接收消息用户主键
     * @return 接收消息用户
     */
    @Override
    public LcdReceiveUser selectLcdReceiveUserById(Long id)
    {
        return lcdReceiveUserMapper.selectLcdReceiveUserById(id);
    }

    /**
     * 查询接收消息用户列表
     *
     * @param lcdReceiveUser 接收消息用户
     * @return 接收消息用户
     */
    @Override
    public List<LcdReceiveUser> selectLcdReceiveUserList(LcdReceiveUser lcdReceiveUser)
    {
        return lcdReceiveUserMapper.selectLcdReceiveUserList(lcdReceiveUser);
    }

    /**
     * 新增接收消息用户
     *
     * @param lcdReceiveUser 接收消息用户
     * @return 结果
     */
    @Override
    public int insertLcdReceiveUser(LcdReceiveUser lcdReceiveUser)
    {
        lcdReceiveUser.setCreateTime(DateUtils.getNowDate());
        return lcdReceiveUserMapper.insertLcdReceiveUser(lcdReceiveUser);
    }

    /**
     * 修改接收消息用户
     *
     * @param lcdReceiveUser 接收消息用户
     * @return 结果
     */
    @Override
    public int updateLcdReceiveUser(LcdReceiveUser lcdReceiveUser)
    {
        lcdReceiveUser.setUpdateTime(DateUtils.getNowDate());
        return lcdReceiveUserMapper.updateLcdReceiveUser(lcdReceiveUser);
    }

    /**
     * 批量删除接收消息用户
     *
     * @param ids 需要删除的接收消息用户主键
     * @return 结果
     */
    @Override
    public int deleteLcdReceiveUserByIds(Long[] ids)
    {
        return lcdReceiveUserMapper.deleteLcdReceiveUserByIds(ids);
    }

    /**
     * 删除接收消息用户信息
     *
     * @param id 接收消息用户主键
     * @return 结果
     */
    @Override
    public int deleteLcdReceiveUserById(Long id)
    {
        return lcdReceiveUserMapper.deleteLcdReceiveUserById(id);
    }
}
